You are not logged in.

#1 2014-01-19 01:24:07

herOldMan
Member
Registered: 2013-10-11
Posts: 79

(solved) qgis not building

Fresh Arch install.

I cannot compile the AUR qgis package (https://aur.archlinux.org/packages/qgis/)

The pkgbuild specifies: python2-pyqt>=4.10.4dev, which does not appear to be available. (Perhaps I just don't know where to find it.)

I attempted the installs with >=4.10.3-1 and >=5.2-1

The attempt using the 5.2-1 version nearly completes (~96%). I appoligize for not having the specific error. I believe it was a sip function call that was not defined.

No matter, the current package build does not function. I also tried the qgis-1.6 package and it fails as well. I did not try either the custom or git packages.

Has anyone installed this sucessfully... recently?

I have seen some posts sugesting downgrading to cfitsio 3.350-2 or compiling GDAL versus a current cfitsio. Downgrading is not an option for me and GDAL was built with today's cfitsio.

Any ideas?

Last edited by herOldMan (2014-01-23 22:00:57)

Offline

#2 2014-01-19 01:48:51

karol
Archivist
Registered: 2009-05-06
Posts: 25,428

Re: (solved) qgis not building

I guess python2-pyqt is now called python2-pyqt4. What exactly went wrong when you tried using this package as the dependency?

Offline

#3 2014-01-19 01:58:55

Takeshi_Kovacs
Member
Registered: 2013-09-05
Posts: 12

Re: (solved) qgis not building

Have you tried installing this: https://aur.archlinux.org/packages/pyqt4dev/ as per saultdon's comment in the qgis AUR?

Comment by saultdon 2013-12-02 23:30
daroczig, that's a reference to the "pyqt4dev" package in the AUR. https://aur.archlinux.org/packages/pyqt4dev/   

Comment by daroczig 2013-12-02 10:19
Any idea where can I get "python2-pyqt4>=4.10.4a"?

EDIT:
Ok, so Karol seems to have been correct and I changed the PKGBUILD, I bow to your superior knowledge wink

However, once I'd got through installing all the AUR dependencies and got through to makepkg for qgis, it took an hour to get to this:

Scanning dependencies of target python_module_qgis_core
[ 95%] Building CXX object python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart0.cpp.o
[ 95%] Building CXX object python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart1.cpp.o
[ 95%] Building CXX object python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart2.cpp.o
[ 95%] Building CXX object python/CMakeFiles/python_module_qgis_core.dir/core/sipcorepart3.cpp.o
Linking CXX shared library ../output/python/qgis/core.so
[ 95%] Built target python_module_qgis_core
[ 95%] Generating gui/sipguipart0.cpp, gui/sipguipart1.cpp, gui/sipguipart2.cpp, gui/sipguipart3.cpp

Scanning dependencies of target python_module_qgis_gui
[ 95%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart0.cpp.o
[ 96%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart1.cpp.o
[ 96%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart2.cpp.o
[ 96%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o
/usr/share/sip/QtGui/qsyntaxhighlighter.sip: In function ‘PyObject* meth_QgsExpressionHighlighter_setCurrentBlockUserData(PyObject*, PyObject*, PyObject*)’:
/usr/share/sip/QtGui/qsyntaxhighlighter.sip:78:77: error: ‘qtgui_wrap_ancestors’ was not declared in this scope
             PyObject *py_td = qtgui_wrap_ancestors(td, sipType_QTextDocument);
                                                                             ^
python/CMakeFiles/python_module_qgis_gui.dir/build.make:443: recipe for target 'python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o' failed
make[2]: *** [python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o] Error 1
CMakeFiles/Makefile2:3064: recipe for target 'python/CMakeFiles/python_module_qgis_gui.dir/all' failed
make[1]: *** [python/CMakeFiles/python_module_qgis_gui.dir/all] Error 2
Makefile:136: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...

I would press on but it's really late here and I need sleep. Also I'm not sure I understand why it has failed.
Should I open a new post on this or leave this here, as it seems to be related?

Last edited by Takeshi_Kovacs (2014-01-19 03:54:12)


“Solitude is impractical and yet society is fatal.” (Emerson, R. W.)

Offline

#4 2014-01-19 19:22:03

herOldMan
Member
Registered: 2013-10-11
Posts: 79

Re: (solved) qgis not building

However, once I'd got through installing all the AUR dependencies and got through to makepkg for qgis, it took an hour to get to this:

Yes, this is the error I see as well.

Offline

#5 2014-01-22 18:19:24

oangelo
Member
Registered: 2013-02-10
Posts: 10

Re: (solved) qgis not building

Same here!
All this is related to sip and pyqt4:
http://hub.qgis.org/issues/8826
Are there any workaround?

Offline

#6 2014-01-23 06:28:44

saultdon
Member
From: Treaty 08
Registered: 2013-06-25
Posts: 31

Re: (solved) qgis not building

There were some changes to pyqt4dev recently.

Now you have to install sipdev from the AUR before you install pyqt4dev. It's a new dependency for pyqt4dev (an updated SIP).

QGIS compiled fine from my end after these latest updates.

PS: sipdev is currently flagged out of date, but you can replace _snapshot=0b19f77489ce and also md5sums=('SKIP') for a quick fix.

Last edited by saultdon (2014-01-23 19:36:29)


"We don't inherit the land from our ancestors - we borrow it from our children."

Offline

#7 2014-01-23 22:03:09

herOldMan
Member
Registered: 2013-10-11
Posts: 79

Re: (solved) qgis not building

Thank you sauldon. This was the solution. I'll post a short summary on the AUR page.

Offline

#8 2014-01-27 15:36:47

Takeshi_Kovacs
Member
Registered: 2013-09-05
Posts: 12

Re: (solved) qgis not building

herOldMan wrote:

> remove depends for python2-pyqt
> remove makedepends for python2-sip
>>At grass build, replace wxpython<3.0.0 with wxpython

Hi, just to confirm it is so far compiling correctly on my pc. However, being a beginner I'm not sure if this part of your summary on the AUR page is instructions for the maintainer or for users. It sounds like the first but I just wanted to make sure. Many thanks to both herOldMan and  Saultdon for the work done.


“Solitude is impractical and yet society is fatal.” (Emerson, R. W.)

Offline

#9 2014-01-27 19:18:05

herOldMan
Member
Registered: 2013-10-11
Posts: 79

Re: (solved) qgis not building

Hi,

Re: maintainer or for users

It's a note on how I implemented the solution provided by Sauldon. It's a note to myself and others who stumble down my path.

This is an incrediably important program and building it is a sizeable task (typically 60-90 minutes of compilation). As luck would have it, the failures recurred at ~96% into the process.

Offline

#10 2014-01-29 16:07:16

saultdon
Member
From: Treaty 08
Registered: 2013-06-25
Posts: 31

Re: (solved) qgis not building

Also note that, because qscintilla (python2-qscintilla) also depends on python2-pyqt4 (from your recompiled pyqt4dev).
It's good to note that users might want to re-compile qscintilla against their updated pyqt4dev.

QGIS will start and run without re-compiling qscintilla (I haven't seen any errors), but I re-compiled just to be safe.

@Takeshi_Kovacs I build qgis with ccache enabled, it dramatically reduces compile time.

This is from the INSTALL.txt in the qgis source at https://github.com/qgis/QGIS/blob/master/INSTALL:

3.4. Setup ccache (Optional)
  ============================

You should also setup ccache to speed up compile times:

  cd /usr/local/bin
  sudo ln -s /usr/bin/ccache gcc
  sudo ln -s /usr/bin/ccache g++

And then from the ccache manual at http://ccache.samba.org/manual.html#_run_modes, they suggest a more thorough setup, but might not be needed for compiling qgis:

ln -s ccache /usr/local/bin/gcc
ln -s ccache /usr/local/bin/g++
ln -s ccache /usr/local/bin/cc
ln -s ccache /usr/local/bin/c++

Also note that you may need to enable ccache in /etc/makepkg.conf - it's negated in the options with !ccache, just remove the exclamation mark.


"We don't inherit the land from our ancestors - we borrow it from our children."

Offline

#11 2014-02-08 22:42:52

kero
Member
Registered: 2012-08-26
Posts: 20

Re: (solved) qgis not building

Hi,

I'm also trying to build qgis. I think I installed all the dependencies, but I have an error when building qgis

Those are the final messages:

-- The C compiler identification is GNU 4.8.2
-- The CXX compiler identification is GNU 4.8.2
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- QGIS version: 2.0.1 Dufour (20001)
-- Found GRASS: /opt/grass (6.4.3)
-- Looking for openpty
-- Looking for openpty - not found
-- Looking for openpty
-- Looking for openpty - found
-- Found Proj: /usr/lib64/libproj.so
-- Found GEOS: /usr/lib/libgeos_c.so
-- Found GDAL: /usr/lib/libgdal.so (1.10.1)
-- Found Expat: /lib64/libexpat.so
-- Found Spatialindex: /usr/lib64/libspatialindex.so
-- Found Qwt: /usr/lib64/libqwt.so (6.1.0)
-- Found Sqlite3: /usr/lib64/libsqlite3.so
-- Found PostgreSQL: /usr/lib/libpq.so
-- Found SpatiaLite: /usr/lib64/libspatialite.so
-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so
-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so - found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/bin/qmake-qt4 (found suitable version "4.8.5", minimum required is "4.5.0") 
-- Touch support disabled
-- Found QScintilla2: /usr/lib64/libqscintilla2.so (2.8)
-- Pedantic compiler settings enabled
-- Found PythonInterp: /usr/bin/python2 (found version "2.7.6") 
-- Found Python executable: /usr/bin/python2
-- Found Python version: 2.7.6
-- Found Python library: /usr/lib/libpython2.7.so
-- Found SIP version: 4.15.5-snapshot-e6e10c9f08b5
-- Found PyQt4 version: 4.10.4-snapshot-700742f90f4b
-- Found QScintilla2 PyQt4 module: 2.8
-- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm
-- Found FCGI: /usr/lib64/libfcgi.so
-- txt2tags not found - disabled
-- Configuring done
-- Generating done
-- Build files have been written to: /home/keikoz/info-système/abs_build/AUR/qgis/src/build
Scanning dependencies of target version
[  0%] Built target version
[  0%] Generating gps/qextserialport/moc_qextserialenumerator.cxx
moc: Cannot open options file specified with @
Usage: moc [options] <header-file>
  -o<file>           write output to file rather than stdout
  -I<dir>            add dir to the include path for header files
  -E                 preprocess only; do not generate meta object code
  -D<macro>[=<def>]  define macro, with optional definition
  -U<macro>          undefine macro
  -i                 do not generate an #include statement
  -p<path>           path prefix for included file
  -f[<file>]         force #include, optional file name
  -nn                do not display notes
  -nw                do not display warnings
  @<file>            read additional options from file
  -v                 display version of moc
src/core/CMakeFiles/qgis_core.dir/build.make:321: recipe for target 'src/core/gps/qextserialport/moc_qextserialenumerator.cxx' failed
make[2]: *** [src/core/gps/qextserialport/moc_qextserialenumerator.cxx] Error 1
CMakeFiles/Makefile2:192: recipe for target 'src/core/CMakeFiles/qgis_core.dir/all' failed
make[1]: *** [src/core/CMakeFiles/qgis_core.dir/all] Error 2
Makefile:136: recipe for target 'all' failed
make: *** [all] Error 2
==> ERREUR : Une erreur s’est produite dans build().
    Abandon...

Any idea ?

Last edited by kero (2014-03-01 15:35:00)

Offline

#12 2014-02-08 23:05:54

karol
Archivist
Registered: 2009-05-06
Posts: 25,428

Re: (solved) qgis not building

kero, please edit your post.
When posting configs, code or command output, please use [ code ] tags, not [ quote ] tags https://bbs.archlinux.org/help.php#bbcode

like this

It makes the code more readable and - in case of longer listings - more convenient to scroll through.


Next time please run

LC_ALL=C <command>

to get the output in English.



archlinuxgis unofficial repo used to provide qgis, unfortunately it went offline. Maybe somebody else would like to host the prebuild binaries?
https://wiki.archlinux.org/index.php/Un … chlinuxgis

Offline

#13 2014-02-09 16:09:13

herOldMan
Member
Registered: 2013-10-11
Posts: 79

Re: (solved) qgis not building

I was able to install this on a 3rd machine that had certain packages orphaned from previous atempts. My first step was to remove all of the orphans. Just for good measure I removed grass grass also.

Then, as appears in the most recent post on the qgis AUR page,  I followed exactly:
1) yaourt sipdev
2) yaourt pyqt4dev
3) yaourt qgis
> remove depends for python2-pyqt
> remove makedepends for python2-sip
>>At grass build, replace wxpython<3.0.0 with wxpython

Offline

Board footer

Powered by FluxBB